#include <avr/io.h>
#include <avr/interrupt.h>  /* for sei() */
#include <util/delay.h>     /* for _delay_ms() */
#include <avr/pgmspace.h>   /* required by usbdrv.h */
#include "usbdrv.h"

#define RQ_FW    0
#define RQ_BW 1
#define RQ_TL 2
#define RQ_TR 3

/* ------------------------------------------------------------------------- */
/* ----------------------------- USB interface ----------------------------- */
/* ------------------------------------------------------------------------- */

usbMsgLen_t usbFunctionSetup(uint8_t data[8])
{
    usbRequest_t *rq = (void *)data;
	DDRC = DDRC^(1<<(rq->bRequest));
    return 0;   /* default for not implemented requests: return no data back to host */
}

/* ------------------------------------------------------------------------- */

int main(void)
{
    //DDRC  = (1<<PC0)|(1<<PC1)|(1<<PC2); 
	// PC0..PC2 = Output, PC3..PC5 = Input
    //PORTC = (1 << PC3);                 
	// Enable pull-up at PC3
	DDRC = 0b00000000;
	PORTC = 0b00000000;

    usbInit();

    /* enforce re-enumeration, do this while interrupts are disabled! */
    usbDeviceDisconnect();
    _delay_ms(300);
    usbDeviceConnect();

    /* enable global interrupts */
    sei();

    /* main event loop */
    for(;;)
    {
        usbPoll();
    }

    return 0;
}

/* ------------------------------------------------------------------------- */
